LoadError: no such file to load

Suddenly I noticed that I can’t require installed gems from irb or
./script/console. Any ideas?

irb(main):001:0> require ‘RMagick’
LoadError: no such file to load – RMagick
from (irb):1:in require' from (irb):1 irb(main):002:0> require 'mysql' LoadError: no such file to load -- mysql from (irb):2:inrequire’
from (irb):2

gem list

*** LOCAL GEMS ***

actionmailer (1.2.1)
Service layer for easy email delivery and testing.

actionpack (1.12.1)
Web-flow and rendering framework putting the VC in MVC.

actionwebservice (1.1.2)
Web service support for Action Pack.

activerecord (1.14.2)
Implements the ActiveRecord pattern for ORM.

activesupport (1.3.1)
Support and utility classes used by the Rails framework.

gem_plugin (0.2.1)
A plugin system based only on rubygems that uses dependencies only

mysql (2.7)
MySQL/Ruby provides the same functions for Ruby programs that the
MySQL C API provides for C programs.

rails (1.1.2)
Web-application framework with template engine, control-flow layer,
and ORM.

rake (0.7.1)
Ruby based make-like utility.

rmagick (1.13.0)
RMagick is an interface between the Ruby programming language and
the ImageMagick and GraphicsMagick image processing libraries.

… [ many more ] …

Checking that ImageMagick is properly installed works fine

/usr/local/bin/convert logo: logo.gif

ruby -v
ruby 1.8.4 (2005-12-24) [i686-darwin8.6.1]

irb -v
irb 0.9.5(05/04/13)

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs